Read a security remediation run (browser session)
import requests
url = "https://platform.ankra.app/org/security/remediations/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/remediations/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/remediations/{run_id} \
--header 'Authorization: Bearer <token>'{
"events": [
{
"detail": {},
"id": 123,
"kind": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
],
"run": {
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_name": "<string>",
"attempts": 123,
"branch": "<string>",
"cluster_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"deadline_at": "2023-11-07T05:31:56Z",
"failed_head_shas": [
"<string>"
],
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_repositories": [
"<string>"
],
"last_head_sha": "<string>",
"last_outcome": "<string>",
"last_pipeline_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_attempts": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_concluded_at": "2023-11-07T05:31:56Z",
"pipeline_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pull_request_number": 123,
"pull_request_url": "<string>",
"repository": "<string>",
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "working",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"verified_head_sha": "<string>"
}
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Read a security remediation run (browser session)
One remediation run with its receipt trail.
GET
/
org
/
security
/
remediations
/
{run_id}
Read a security remediation run (browser session)
import requests
url = "https://platform.ankra.app/org/security/remediations/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/remediations/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/remediations/{run_id} \
--header 'Authorization: Bearer <token>'{
"events": [
{
"detail": {},
"id": 123,
"kind": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
],
"run": {
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_name": "<string>",
"attempts": 123,
"branch": "<string>",
"cluster_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"deadline_at": "2023-11-07T05:31:56Z",
"failed_head_shas": [
"<string>"
],
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_repositories": [
"<string>"
],
"last_head_sha": "<string>",
"last_outcome": "<string>",
"last_pipeline_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_attempts": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_concluded_at": "2023-11-07T05:31:56Z",
"pipeline_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pull_request_number": 123,
"pull_request_url": "<string>",
"repository": "<string>",
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "working",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"verified_head_sha": "<string>"
}
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
One remediation case for a finding on one application: its fix pull request, the pipeline runs of its exact commits, and the rescan-based verification. verified needs a rescan of every affected cluster after the fix with no active occurrence; uncertain is a deadline passing without proof and never reads as clean.
Show child attributes
Show child attributes